Description

When the 'move entity' tool is used, the snapping options don't work with a point layer.

But it works perfectly when the 'node tool' is used instead.

Is it a normal behavior ?

History

#1 - 2016-07-29 10:18 AM - R. R.

This is the standard behaviour. See also #3486 (Snapping for move tool)

#2 - 2017-03-23 09:20 AM - Regis Haubourg

- Priority changed from Normal to High

- Assignee set to Martin Dobias

Hi, Still true in qgis 2.18.4 and 2.99 and really confusing indeed for points. 

Why not merge node tool and move tool using node tool behavior? That would solve the issue and also solve a UX problem.

(Martin, I affected that to you just to have you aware of that issue.. Do you have an opinion on disabling move tool for points? )

#3 - 2017-03-23 10:27 AM - Julien Monticolo

Regis Haubourg wrote:

Why not merge node tool and move tool using node tool behavior? That would solve the issue and also solve a UX problem.

Beware of multi-points geometries.

#4 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#5 - 2017-05-11 10:11 AM - Regis Haubourg

- Resolution set to fixed/implemented

- Description updated

- Status changed from Open to Closed
Implemented in QGIS3 master, thanks Martin :)
